[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.GetDefaultColumnWidth

Gets the default width for the specified column.

## Declaration

Source position: dbgrids.pas line 462

`protected function TCustomDBGrid.GetDefaultColumnWidth(`
`Column: Integer`
`):Integer; override;`

## Arguments

`Column` |  | Column number to use for the calculation.

## Function result

Default width of the column.

## Description

GetDefaultColumnWidth is an overridden Integer function used to get the default width for the specified column number. GetDefaultColumnWidth calls the DefaultFieldColWidth method for the specified column. The return value is the width of the column calculate using either the display name or the display width for the TField in the column.